### Struct

# Pango GlyphString

#### Description [src]

    struct PangoGlyphString {
      int num_glyphs;
      PangoGlyphInfo* glyphs;
      int* log_clusters;
    }

A `PangoGlyphString` is used to store strings of glyphs with geometry and visual attribute information.

The storage for the glyph information is owned by the structure which simplifies memory management.

###### Structure members

`num_glyphs`

  Number of glyphs in this glyph string.

`glyphs`

  Array of glyph information.

`log_clusters`

  Logical cluster info, indexed by the byte index within the text corresponding to the glyph string.

#### Constructors

###### pango_glyph_string_new

Create a new `PangoGlyphString`.

#### Instance methods

###### pango_glyph_string_copy

Copy a glyph string and associated storage.

###### pango_glyph_string_extents

Compute the logical and ink extents of a glyph string.

###### pango_glyph_string_extents_range

Computes the extents of a sub-portion of a glyph string.

###### pango_glyph_string_free

Free a glyph string and associated storage.

###### pango_glyph_string_get_logical_widths

Given a `PangoGlyphString` and corresponding text, determine the width corresponding to each character.

###### pango_glyph_string_get_width

Computes the logical width of the glyph string.

since: 1.14

###### pango_glyph_string_index_to_x

Converts from character position to x position.

###### pango_glyph_string_index_to_x_full

Converts from character position to x position.

since: 1.50

###### pango_glyph_string_set_size

Resize a glyph string to the given length.

###### pango_glyph_string_x_to_index

Convert from x offset to character position.